Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.util
Class LoggingStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.dbxml.util.LoggingStream

public class LoggingStream
extends java.io.FilterOutputStream

LoggingStream filters an OutputStream, generating a log-like format for each line that is sent to the OutputStream.

Constructor Summary
`LoggingStream(java.io.OutputStream out)`
`LoggingStream(java.io.OutputStream out, java.text.DateFormat df)`
`LoggingStream(java.io.OutputStream out, int buffer)`
`LoggingStream(java.io.OutputStream out, int buffer, java.text.DateFormat df)`

Method Summary
`void` | `close()`
`java.text.DateFormat` | `getDateFormat()`
`void` | `setDateFormat(java.text.DateFormat df)`
`void` | `write(byte[] buf)`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`flush`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingStream

    public LoggingStream(java.io.OutputStream out)

### LoggingStream

    public LoggingStream(java.io.OutputStream out,
                         java.text.DateFormat df)

### LoggingStream

    public LoggingStream(java.io.OutputStream out,
                         int buffer)

### LoggingStream

    public LoggingStream(java.io.OutputStream out,
                         int buffer,
                         java.text.DateFormat df)

Method Detail

### setDateFormat

    public void setDateFormat(java.text.DateFormat df)

### getDateFormat

    public java.text.DateFormat getDateFormat()

### write

    public void write(byte[] buf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group